Bug 154552 - analog clock: no context menu
Summary: analog clock: no context menu
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal with 1 vote (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-23 20:35 UTC by Maciej Pilichowski
Modified: 2007-12-27 16:20 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Pilichowski 2007-12-23 20:35:06 UTC
Version:            (using KDE KDE 3.97.0)

There is only applet handle available.

There is only applet handle available.
Comment 1 Jason Stubbs 2007-12-24 04:44:27 UTC
SVN commit 752290 by jstubbs:

Derive from Applet rather than Containment so that all the Applet goodies
such as context menus are available

BUG: 154552


 M  +1 -1      clock.cpp  
 M  +2 -2      clock.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=752290
Comment 2 Aaron J. Seigo 2007-12-27 15:43:59 UTC
this patch is incorrect. deriving from containment should not interfere with context menus. investigating why this would be the case is really what needs to happen.

i'd guess that either there is a missing isContaintment() somewhere or else maybe the qgraphicsitem_cast in Containment::contextMenuEvent isn't working as expected.
Comment 3 Jason Stubbs 2007-12-27 16:15:17 UTC
SVN commit 753472 by jstubbs:

Don't try and display the containment context menu when isContainment() is
false. Also, call Applet's contextMenuEvent() rather than calling
QGraphicsItem's directly.

CCBUG: 154552


 M  +2 -2      containment.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=753472
Comment 4 Jason Stubbs 2007-12-27 16:16:04 UTC
SVN commit 753474 by jstubbs:

Change back to a containment now that the context menu displays correctly

CCBUG: 154552


 M  +1 -1      clock.cpp  
 M  +2 -2      clock.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=753474
Comment 5 Jason Stubbs 2007-12-27 16:20:25 UTC
There's a bug in qt4.3 that won't be fixed until qt4.4 that context menu events aren't propogated to parent items. I previously moved the workaround that was in Applet into Widget, but Containment hadn't been updated for it.